Update a contract's stage - Gable Docs
Update a contract's stage
PUT
Endpoint: /v0/contract/{id}/stage
Request
cURL
curl --request PUT \
--url https://demo-api.gable.ai/v0/contract/{id}/stage \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '{}'
Python
import requests
url = "https://demo-api.gable.ai/v0/contract/{id}/stage"
payload = {}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://demo-api.gable.ai/v0/contract/{id}/stage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://demo-api.gable.ai/v0/contract/{id}/stage",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "PUT",\
CURLOPT_POSTFIELDS => json_encode([]),\
CURLOPT_HTTPHEADER => [\
"Content-Type: application/json",\
"X-API-KEY: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://demo-api.gable.ai/v0/contract/{id}/stage"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java
HttpResponse<String> response = Unirest.put("https://demo-api.gable.ai/v0/contract/{id}/stage")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://demo-api.gable.ai/v0/contract/{id}/stage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body
Response
Successful Response
Status Code: 200
Content Type: application/json
{
"message": "<string>",
"contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
Error Responses
Status Codes: 400, 404
{
"message": "<string>",
"id": 123,
"title": "<string>"
}
Authorizations
- X-API-KEY
Type: string
Location: header
Required: yes
Path Parameters
- id
Type: string
Required: yes
Description: Contract ID
Body
- Must comply with application/json and must include the required fields for a contract stage update.
Available options for contractStage
ACTIVEDEPRECATEDDRAFTARCHIVED